class ChatBot:
    @staticmethod
    def ask(x):
        x = x.lower()

        if "olá" in x or "oi" in x:
            return "Olá, eu sou o Bot Oficial do MindStorms"

        if "tchau" in x or "adeus" in x:
            return "Tchau, Humano!"

        if "como vai" in x or "tudo bem" in x:
            return "Se você recebeu esta mensagem, significa que sim!"

        if "qual é seu modelo" in x:
            return "Eu sou o ChatBotV1 do MindStorms"

        if "quem é você" in x:
            return "Sou um bot criado para o projeto MindStorms"

        if "quem te criou" in x:
            return "Fui criado por um desenvolvedor Brasileiro chamado Samuel Passos Garcia!!!"

        if "ajuda" in x:
            return "-- perguntas que posso responder: olá ou oi, tchau ou adeus, como vai comigo, qual é meu modelo, quem sou eu, e meu nome!"

        if "seu nome" in x:
            return "Meu nome é MindStorms Bot"

        return "Não entendi o que você quis dizer."
